Summary: A reproduction of Scrabble, for the X Window System.
Name: xscrabble
Version: 1.0
Release: 2
Source: http://www.belgarath.demon.co.uk/programs/xscrabble.tar.gz
Copyright: unknown
Group: Amusements/Games
Patch: xscrabble.patch
URL: http://www.belgarath.demon.co.uk/programs/index.html#XScrabble
BuildRoot: /var/tmp/xscrabble-root

%description
XScrabble is a multi-player (1-4) implementation of the Scrabble board
game, with computer players, and a 118,000 word dictionary (the
Official Scrabble Players Dictionary, ed. 3, as used in US
tournaments), so you get competition style rulings on legal words.
XScrabble provides a high score table, a best single goes list, a
handy setup window, and load/save facilities.  You can play by
yourself, against the computer, or play with other people over a
network.  You can even play XScrabble over the Internet, if you're
clever with DISPLAY settings.

%prep
%setup -q -n xscrabble
%patch -p1 -b .mike

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/var/lib/games/
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 755 src/xscrab $RPM_BUILD_ROOT/usr/X11R6/bin/xscrab
install -m 755 src/xscrabble $RPM_BUILD_ROOT/usr/X11R6/bin/xscrabble
install -m 644 OSPD3.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 644 scrabble_permutations $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xscrabble
install -m 644 XScrabble.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XScrabble
install -m 644 xscrabble.scores $RPM_BUILD_ROOT/var/lib/games/xscrabble.scores

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
/usr/X11R6/bin/xscrab
/usr/X11R6/bin/xscrabble
/usr/X11R6/lib/X11/xscrabble
/usr/X11R6/lib/X11/app-defaults/XScrabble
/var/lib/games/xscrabble.scores

%changelog
* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- started changelog
- rebuilt for 6.1
